Package org.apache.iotdb.jdbc

## Class GroupedLSBWatermarkEncoder

- java.lang.Object
- - org.apache.iotdb.jdbc.GroupedLSBWatermarkEncoder

All Implemented Interfaces:
  `WatermarkEncoder`

    public class GroupedLSBWatermarkEncoder
    extends java.lang.Object
    implements WatermarkEncoder

### Constructor Summary

Constructors
`GroupedLSBWatermarkEncoder​(java.lang.String secretKey, java.lang.String bitString, int markRate, int minBitPosition)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `encodeDouble​(double value, long timestamp)`
`float` `encodeFloat​(float value, long timestamp)`
`int` `encodeInt​(int value, long timestamp)`
`long` `encodeLong​(long value, long timestamp)`
`org.apache.iotdb.tsfile.read.common.RowRecord` `encodeRecord​(org.apache.iotdb.tsfile.read.common.RowRecord record)`
`static int` `hashMod​(java.lang.String val, java.lang.Integer base)`
`boolean` `needEncode​(long timestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupedLSBWatermarkEncoder

    public GroupedLSBWatermarkEncoder​(java.lang.String secretKey,
                                      java.lang.String bitString,
                                      int markRate,
                                      int minBitPosition)

### Method Detail

#### hashMod

    public static int hashMod​(java.lang.String val,
                              java.lang.Integer base)

#### needEncode

    public boolean needEncode​(long timestamp)

Specified by:
  `needEncode` in interface `WatermarkEncoder`

#### encodeInt

    public int encodeInt​(int value,
                         long timestamp)

Specified by:
  `encodeInt` in interface `WatermarkEncoder`

#### encodeLong

    public long encodeLong​(long value,
                           long timestamp)

Specified by:
  `encodeLong` in interface `WatermarkEncoder`

#### encodeFloat

    public float encodeFloat​(float value,
                             long timestamp)

Specified by:
  `encodeFloat` in interface `WatermarkEncoder`

#### encodeDouble

    public double encodeDouble​(double value,
                               long timestamp)

Specified by:
  `encodeDouble` in interface `WatermarkEncoder`

#### encodeRecord

    public org.apache.iotdb.tsfile.read.common.RowRecord encodeRecord​(org.apache.iotdb.tsfile.read.common.RowRecord record)

Specified by:
  `encodeRecord` in interface `WatermarkEncoder`